
class Block:
    def __init__(self,id,namespace="minecraft") -> None:
        self.__namespace = namespace
        self.__id = id


    
    @property
    def namespace(self):
        return self.__namespace
    
    @property
    def id(self):
        return self.__id

    def getid(self):
        return f"{self.__namespace}:{self.__id}"

    def getDefaultState(self,properties = {}):
        from .BlockState import BlockState
        return BlockState(self.getid(),properties=properties)


    


